Skip to main content
POST
/
v0
/
business
Create a Business
curl --request POST \
  --url https://api.sandbox.getasset.com/v0/business \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "entity_type": "c-corp",
  "entries_start": "2023-11-07T05:31:56Z",
  "fiscal_year": "<string>",
  "external_id": "<string>",
  "status": "active",
  "plan": "managed",
  "onboarding_date": "2023-12-25"
}
'
{
  "data": {
    "tenant_id": "<string>",
    "name": "<string>",
    "industry": "Roofing Contractors",
    "entries_start": "2023-11-07T05:31:56Z",
    "entity_type": "c-corp",
    "fiscal_year": "<string>",
    "external_id": "<string>",
    "id": "<string>",
    "status": "active",
    "onboarding_date": "2023-12-25",
    "plan": "managed",
    "assigned_bookkeeper": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.getasset.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
name
string
required

The name of the Business

Maximum string length: 255
Example:

"Roofing Pros"

entity_type
enum<string>
required

The Business structure, which determines the default Chart of Accounts

Available options:
c-corp,
llc,
partnership,
s-corp,
sole-prop
entries_start
string<date-time>
required

The datetime in UTC ISO 8601 format from which the system will sync a Business' accounting data. All data prior to this date will be ignored

fiscal_year
string
required

The Business' fiscal year start period in format MM/DD

Maximum string length: 5
Example:

"01/01"

external_id
string
required

The external ID of the Business

Maximum string length: 255
Example:

"1234567890"

status
enum<string>
default:active

The status of the Business

Available options:
active,
inactive
plan
enum<string>
default:managed

The plan of the Business

Available options:
diy,
managed
onboarding_date
string<date> | null

The date the business was onboarded

Response

Successful Response

data
BusinessPublic · object
required